Skip to main content
GET
/
v1
/
flow
/
vectordb
/
{database_id}
Get vector database
curl --request GET \
  --url https://flow.seekr.com/v1/flow/vectordb/{database_id} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "name": "<string>",
  "model": "<string>",
  "dimension": 123,
  "description": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "file_count": 123,
  "size_in_bytes": 123
}

Authorizations

Authorization
string
header
required

Seekr API Key without 'Bearer' Prefix

Path Parameters

database_id
string
required

Response

Successful Response

id
string
required
name
string
required
model
string
required
dimension
integer
required
description
string | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
file_count
integer
required
db_type
enum<string> | null
required
Available options:
RAG,
explainability
size_in_bytes
integer | null
Last modified on June 18, 2026